"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1149de050>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1149de0e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1149de170>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1149de200>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1149de290>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1149de320>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1149de3b0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1149de440>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1149de4d0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1149de560>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1149de5f0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1149de680>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1149de710>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1149de7a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1149de830>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1149de8c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1149de950>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1149de9e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1149dea70>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1149deb00>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1149deb90>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1149dec20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1149decb0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1149ded40>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1149dee60>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1149dedd0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1149deef0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1149def80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1149df010>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1149df0a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1149df130>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1149df1c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1149df250>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1149df2e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1149df370>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1149df400>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1149df490>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1149df520>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1149df5b0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1149df640>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1149df6d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1149df760>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1149df7f0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1149df880>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1149df910>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1149df9a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfa30>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfac0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfb50>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfbe0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfc70>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfd00>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfd90>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfe20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1149dfeb0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1149dff40>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c040>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c0d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c160>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c1f0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c280>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c310>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c3a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c430>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c4c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c670>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c550>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c700>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c790>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c820>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c8b0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x114a0ca60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x114a0c9d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x114a0caf0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x114a0cb80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x114a0cc10>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x114a0cd30>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x114a0cca0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x114a0cdc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x114a0ce50>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x114a0cee0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x114a0cf70>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x114a0d000>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x114a0d090>)]
name: str = 'fr_HOCCN'
